use Module::Build;

my $home = $ENV{HOME};

my $build = Module::Build->new(
    module_name => 'Peace',
    license => 'AGPLv3',
    requires => {
        'Mojolicious' => 0,
    },
    install_path => {
        'templates' => "$HOME/.local/share/peace/template",
        'public' => "$HOME/.local/share/peace/public",
    }
);
$build->create_build_script;
